<div *ngIf="pos" class="pos-card" (click)="select.emit(pos)">
  <div class="left-section">
    <div class="logo">
      <img [src]="pos.relationships.supplier.data.logo">
    </div>
    <div class="details">
      <div class="title-distance">
        <div class="title"><strong>{{ pos.attributes.name }}</strong></div>
        <span *ngIf="pos.attributes['distance']" class="distance">{{ pos.attributes['distance'].toFixed(1) }} Km</span>
      </div>
      <div class="catalogue">
        {{ pos.references }} références
      </div>
      <div class="delivery-options">
        <div *ngIf="pos.driveEnabled" class="option">Drive</div>
        <div *ngIf="pos.deliveryEnabled" class="option">Livraison à domicile</div>
      </div>
    </div>
  </div>

  <div class="right-section">
    <div class="hover-text">
      {{ hoverText }}
    </div>
    <div *ngIf="completion?.total > 0" class="availability">
      <div class="gauge-wrapper">
        <div class="caption">Articles disponibles</div>
        <div class="gauge">
          <div class="empty"></div>
          <div class="full" [style.width]="gaugeSize" [style.background-color]="gaugeColor"></div>
        </div>
      </div>
      <div class="ratio">
        <strong>{{ completion.found }}</strong>/{{ completion.total }}
      </div>
    </div>
    <div *ngIf="!completion" class="availability">Calcul en cours...</div>
  </div>
</div>